## org.eclipse.datatools.sqltools.schemaobjecteditor.ui.pages.ddl
Class SQLSourceViewerConfiguration

    java.lang.Object
      org.eclipse.jface.text.source.SourceViewerConfiguration
          org.eclipse.datatools.sqltools.schemaobjecteditor.ui.pages.ddl.SQLSourceViewerConfiguration

    public class SQLSourceViewerConfiguration

extends org.eclipse.jface.text.source.SourceViewerConfiguration

This is a common implementation of `SourceViewerConfiguration` for DMP. This configuraion is used for SQL Statements preview which supports:

- Syntax high lighting
- Double click strategy

  If user wants to support content assistant and autoEditStrategy, user needs to subclass this class with overridding some motheds or subclass `SourceViewerConfiguration` directly.

  Author:
    Shifeng Yu

  Constructor Summary
  `SQLSourceViewerConfiguration(java.lang.String dbType)` Instantiates a new SQLSourceViewerConfiguration with the parameter:database type.

  Method Summary
  `org.eclipse.jface.text.ITextDoubleClickStrategy` `getDoubleClickStrategy(org.eclipse.jface.text.source.ISourceViewer sourceViewer, java.lang.String contentType)`
  `org.eclipse.jface.text.presentation.IPresentationReconciler` `getPresentationReconciler(org.eclipse.jface.text.source.ISourceViewer sourceViewer)`

  Methods inherited from class org.eclipse.jface.text.source.SourceViewerConfiguration

  `getAnnotationHover, getAutoEditStrategies, getAutoIndentStrategy, getConfiguredContentTypes, getConfiguredDocumentPartitioning, getConfiguredTextHoverStateMasks, getContentAssistant, getContentFormatter, getDefaultPrefixes, getHyperlinkDetectors, getHyperlinkPresenter, getHyperlinkStateMask, getIndentPrefixes, getInformationControlCreator, getInformationPresenter, getOverviewRulerAnnotationHover, getQuickAssistAssistant, getReconciler, getTabWidth, getTextHover, getTextHover, getUndoManager`

  Methods inherited from class java.lang.Object
  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Constructor Detail

  ### SQLSourceViewerConfiguration

      public SQLSourceViewerConfiguration(java.lang.String dbType)

    Instantiates a new SQLSourceViewerConfiguration with the parameter:database type.

    Parameters:
      `dbType` -

  Method Detail

  ### getPresentationReconciler

      public org.eclipse.jface.text.presentation.IPresentationReconciler getPresentationReconciler(org.eclipse.jface.text.source.ISourceViewer sourceViewer)

    Overrides:
      `getPresentationReconciler` in class `org.eclipse.jface.text.source.SourceViewerConfiguration`

  ### getDoubleClickStrategy

      public org.eclipse.jface.text.ITextDoubleClickStrategy getDoubleClickStrategy(org.eclipse.jface.text.source.ISourceViewer sourceViewer,
                                                                                    java.lang.String contentType)

    Overrides:
      `getDoubleClickStrategy` in class `org.eclipse.jface.text.source.SourceViewerConfiguration`